Bug 2468 - rpc_server/srv_samr_util.c: logon_hrs.hours
Summary: rpc_server/srv_samr_util.c: logon_hrs.hours
Status: CLOSED FIXED
Alias: None
Product: Samba 3.0
Classification: Unclassified
Component: File Services (show other bugs)
Version: 3.0.11
Hardware: SGI IRIX
: P3 normal
Target Milestone: none
Assignee: Samba Bugzilla Account
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-03-16 13:23 UTC by Jason Mader (mail bounces back)
Modified: 2005-08-24 10:19 UTC (History)
0 users

See Also:


Attachments
change typecast to (const unsigned char *) (499 bytes, patch)
2005-03-16 13:27 UTC, Jason Mader (mail bounces back)
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Mader (mail bounces back) 2005-03-16 13:23:33 UTC
Compiling rpc_server/srv_samr_util.c
cc-1164 cc: WARNING File = rpc_server/srv_samr_util.c, Line = 267
  Argument of type "const char *" is incompatible with parameter of type
          "const unsigned char *".

                pdb_sethexhours(new, (const char *)from->logon_hrs.hours);
                                     ^
Comment 1 Jason Mader (mail bounces back) 2005-03-16 13:27:27 UTC
Created attachment 1039 [details]
change typecast to (const unsigned char *)
Comment 2 Jason Mader (mail bounces back) 2005-03-19 10:23:16 UTC
Actually, the type cast can be removed entirely; the type on the variable is
correct already.
Comment 3 Tim Potter 2005-03-20 02:23:19 UTC
Checked in - thanks.  There were a couple of other of these unecessary casts so
I've fixed them up too.
Comment 4 Gerald (Jerry) Carter 2005-08-24 10:19:30 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.